package com.trunksbomb.minetriad.card;

import net.minecraft.ChatFormatting;

public enum Rarity {
    COMMON(ChatFormatting.WHITE),
    UNCOMMON(ChatFormatting.GREEN),
    RARE(ChatFormatting.AQUA),
    LEGENDARY(ChatFormatting.GOLD);

    private final ChatFormatting formatting;

    Rarity(ChatFormatting formatting) {
        this.formatting = formatting;
    }

    public ChatFormatting formatting() {
        return formatting;
    }
}
